curl --request PATCH \
--url https://scx-sbx.api.jtl-software.com/v1/seller/channel/{Channel} \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/channel/{Channel}"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/channel/{Channel}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updateUrl": "https://update.mybestdeals.com/?sid=c6b28bd5-e0b4-4857-9d9c-e8a9ac40241b&expires=1557149104",
"sellerId": "4711",
"expiresAt": 1557149104
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Update Seller
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Path Parameters
Channel identifier the seller-account update session is started for. This is the unique Channel name.
^\w{5,15}$"MYBESTDEALCOMDE"
Query Parameters
ID of the seller account whose channel link should be updated. A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
^\w{1,50}$"4711"
Response
Start a Seller Update Process
Result of starting a seller update session — contains the redirect URL the seller has to visit, the affected sellerId and session expiry.
URL the seller has to visit to update the existing channel link
"https://update.mybestdeals.com/?sid=c6b28bd5-e0b4-4857-9d9c-e8a9ac40241b&expires=1557149104"
A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
^\w{1,50}$"4711"
1557149104
Was this page helpful?